Loading...
Searching...
No Matches
CMakeCCompilerId.c File Reference

Go to the source code of this file.

## Macros

#define | __has_include(x)
#define | COMPILER_ID ""
#define | STRINGIFY_HELPER(X)
#define | STRINGIFY(X)
#define | PLATFORM_ID
#define | ARCHITECTURE_ID
#define | DEC(n)
#define | HEX(n)
#define | C_STD_99 199901L
#define | C_STD_11 201112L
#define | C_STD_17 201710L
#define | C_STD_23 202311L
#define | C_VERSION

## Functions

int | main (int argc, char *argv[])

## Variables

char const * | info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"
char const * | info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"
char const * | info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"
const char * | info_language_standard_default
const char * | info_language_extensions_default

## Macro Definition Documentation

## __has_include

#define __has_include | ( |  | x | ) |

Value:
0

Definition at line 17 of file CMakeCCompilerId.c.

## ARCHITECTURE_ID

#define ARCHITECTURE_ID

Definition at line 745 of file CMakeCCompilerId.c.

## C_STD_11

#define C_STD_11 201112L

Definition at line 831 of file CMakeCCompilerId.c.

## C_STD_17

#define C_STD_17 201710L

Definition at line 832 of file CMakeCCompilerId.c.

## C_STD_23

#define C_STD_23 202311L

Definition at line 833 of file CMakeCCompilerId.c.

## C_STD_99

#define C_STD_99 199901L

Definition at line 830 of file CMakeCCompilerId.c.

## C_VERSION

#define C_VERSION

Definition at line 843 of file CMakeCCompilerId.c.

## COMPILER_ID

#define COMPILER_ID ""

Definition at line 448 of file CMakeCCompilerId.c.

## DEC

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

Definition at line 749 of file CMakeCCompilerId.c.

#define DEC(n) \
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

## HEX

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

Definition at line 760 of file CMakeCCompilerId.c.

#define HEX(n) \
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

## PLATFORM_ID

#define PLATFORM_ID

Definition at line 579 of file CMakeCCompilerId.c.

## STRINGIFY

#define STRINGIFY | ( |  | X | ) |

Value:
STRINGIFY_HELPER(X)
STRINGIFY_HELPER
#define STRINGIFY_HELPER(X)
Definition CMakeCCompilerId.c:468

Definition at line 469 of file CMakeCCompilerId.c.

## STRINGIFY_HELPER

#define STRINGIFY_HELPER | ( |  | X | ) |

Value:
#X

Definition at line 468 of file CMakeCCompilerId.c.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 877 of file CMakeCCompilerId.c.

{
int require = 0;
require += info_compiler[argc];
require += info_platform[argc];
require += info_arch[argc];
#ifdef COMPILER_VERSION_MAJOR
require += info_version[argc];
#endif
#ifdef COMPILER_VERSION_INTERNAL
require += info_version_internal[argc];
#endif
#ifdef SIMULATE_ID
require += info_simulate[argc];
#endif
#ifdef SIMULATE_VERSION_MAJOR
require += info_simulate_version[argc];
#endif
#if defined(__CRAYXT_COMPUTE_LINUX_TARGET)
require += info_cray[argc];
#endif
require += info_language_standard_default[argc];
require += info_language_extensions_default[argc];
(void)argv;
return require;
}
info_language_extensions_default
const char * info_language_extensions_default
Definition CMakeCCompilerId.c:859
info_platform
char const * info_platform
Definition CMakeCCompilerId.c:825
info_language_standard_default
const char * info_language_standard_default
Definition CMakeCCompilerId.c:856
info_compiler
char const * info_compiler
Definition CMakeCCompilerId.c:455
info_arch
char const * info_arch
Definition CMakeCCompilerId.c:826

References info_arch, info_compiler, info_language_extensions_default, info_language_standard_default, and info_platform.

## Variable Documentation

## info_arch

char const* info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

Definition at line 826 of file CMakeCCompilerId.c.

## info_compiler

char const* info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"

Definition at line 455 of file CMakeCCompilerId.c.

## info_language_extensions_default

const char* info_language_extensions_default

Initial value:
= "INFO" ":" "extensions_default["
"OFF"
"]"

Definition at line 859 of file CMakeCCompilerId.c.

## info_language_standard_default

const char* info_language_standard_default

Initial value:
=
"INFO" ":" "standard_default[" C_VERSION "]"
C_VERSION
#define C_VERSION
Definition CMakeCCompilerId.c:843

Definition at line 856 of file CMakeCCompilerId.c.

## info_platform

char const* info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"

Definition at line 825 of file CMakeCCompilerId.c.